module Ephemeris
  module Planet
    class Jupiter
      include Ephemeris::Zodiac::Dignity
      ORB = 9

      attr_accessor :position

      def initialize( position )
        self.position = position
      end

      def domicile
        [ Ephemeris::Zodiac::PositionMatrix::SAGITTARIUS, Ephemeris::Zodiac::PositionMatrix::PISCES ]
      end

      def detriment
        [ Ephemeris::Zodiac::PositionMatrix::GEMINI, Ephemeris::Zodiac::PositionMatrix::VIRGO ]
      end

      def exaltation
        Ephemeris::Zodiac::PositionMatrix::CANCER
      end

      def fall
        Ephemeris::Zodiac::PositionMatrix::CAPRICORN
      end

      def triplicity
        [ Ephemeris::Zodiac::PositionMatrix::ARIES, Ephemeris::Zodiac::PositionMatrix::LEO, Ephemeris::Zodiac::PositionMatrix::SAGITTARIUS, Ephemeris::Zodiac::PositionMatrix::GEMINI, Ephemeris::Zodiac::PositionMatrix::LIBRA, Ephemeris::Zodiac::PositionMatrix::AQUARIUS ]
      end
    end
  end
end
