module Ephemeris
  module Planet
    class Mercury
      include Ephemeris::Zodiac::Dignity
      ORB = 7

      attr_accessor :position

      def initialize( position )
        self.position = position
      end

      def domicile
        [ Ephemeris::Zodiac::PositionMatrix::GEMINI, Ephemeris::Zodiac::PositionMatrix::VIRGO ]
      end

      def detriment
        [ Ephemeris::Zodiac::PositionMatrix::SAGITTARIUS, Ephemeris::Zodiac::PositionMatrix::PICSES ]
      end

      def exaltation
        Ephemeris::Zodiac::PositionMatrix::VIRGO
      end

      def fall
        Ephemeris::Zodiac::PositionMatrix::PISCES
      end

      def triplicity
        [ Ephemeris::Zodiac::PositionMatrix::GEMINI, Ephemeris::Zodiac::PositionMatrix::LIBRA, Ephemeris::Zodiac::PositionMatrix::AQUARIUS ]
      end
    end
  end
end
