module Ephemeris
  module Planet
    class Saturn
      include Ephemeris::Zodiac::Dignity
      ORB = 9

      attr_accessor :position

      def initialize( position )
        self.position = position
      end

      def domicile
        [ Ephemeris::Zodiac::PositionMatrix::CAPRICORN, Ephemeris::Zodiac::PositionMatrix::AQUARIUS ]
      end

      def detriment
        [ Ephemeris::Zodiac::PositionMatrix::CANCER, Ephemeris::Zodiac::PositionMatrix::LEO ]
      end

      def exaltation
        Ephemeris::Zodiac::PositionMatrix::LIBRA
      end

      def fall
        Ephemeris::Zodiac::PositionMatrix::ARIES
      end

      def triplicity
        [ Ephemeris::Zodiac::PositionMatrix::GEMINI, Ephemeris::Zodiac::PositionMatrix::LIBRA, Ephemeris::Zodiac::PositionMatrix::AQUARIUS, Ephemeris::Zodiac::PositionMatrix::ARIES, Ephemeris::Zodiac::PositionMatrix::LEO, Ephemeris::Zodiac::PositionMatrix::SAGITTARIUS]
      end
    end
  end
end
